package p13_pliki.tadeusz;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.Scanner;

public class PodzielNaSlowa {

	public static void main(String[] args) {
		int ile = 0;
		try(Scanner scanner = new Scanner(new File("pan_tadeusz.txt"))) {
			// aby dzielić tekst na słowa w inny sposób, można ustawić odpowiedni "delimiter" podając wyrażenie regularne
			// scanner.useDelimiter("\\s+"); // domyślne ustawienie
			// aby usunąć znaki interpunkcyjne:
			// scanner.useDelimiter("[\\s,.;—!?()…«»]+"); // sposób 1: wypisać je wszystkie w ramach [grupy]
			scanner.useDelimiter("[^\\p{L}\\d]+"); // sposób 2: używam "klas znaków" i mówię, że delimiterem jest ciąg takich znaków, które nie są ani literą, ani cyfrą
			
			while(scanner.hasNext()) {
				String slowo = scanner.next();
				System.out.println("[" + slowo  + "]");
				ile++;
			}
			System.out.println("Liczba wszystkich słów: " + ile);
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		}
		
	}

}
